<?xml version="1.0"?>
<PropertyList>


 <name>Tu-144D-devel</name>
 <layout>vbox</layout>


 <group>
  <layout>hbox</layout>
  <text>
   <label>Tu-144D Development</label>
  </text>
  <empty>
   <stretch>true</stretch>
  </empty>
  <button>
   <legend/>
   <pref-width>16</pref-width>
   <pref-height>16</pref-height>
   <border>2</border>
   <binding>
    <command>dialog-close</command>
   </binding>
   <key>Esc</key>
  </button>
 </group>
 <hrule/>

 <nasal>
  <open>
   var backups = [
    "fdm/jsbsim/aero/DATCOM/tuning/dCm_supersonic",
    "fdm/jsbsim/aero/DATCOM/tuning/kCnb",
    "fdm/jsbsim/aero/DATCOM/tuning/kClb",
    "fdm/jsbsim/fcs/NPK/ABSU/SAU/SUU/pitch/tuning/pitch-hold-no-extra-damping",
    "fdm/jsbsim/fcs/NPK/ABSU/SAU/pitch/tuning/K_theta",
    "fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/K",
    "fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/K_gnd",
    "fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/Kd",
    "fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/Ki",
    "fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H_FL/tuning/K",
    "fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H_FL/tuning/Kd",
    "fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H_FL/tuning/Ki",
    "fdm/jsbsim/fcs/NPK/ABSU/SAU/pitch/tuning/rT_MS",
   ];
   foreach (var p; backups) {
    var b = p ~ "-default_backup";
    if (getprop(b) == nil) {
     setprop(b, getprop(p));
    }
   }
  </open>
 </nasal>

 <group><layout>table</layout>


  <text>
   <row>0</row>
   <col>0</col>
   <halign>left</halign>
   <label>FDM: fdm/jsbsim/aero</label>
  </text>
  <button>
   <row>0</row>
   <col>3</col>
   <halign>right</halign>
   <legend>Browse</legend>
   <binding>
    <command>nasal</command>
    <script>gui.property_browser("fdm/jsbsim/aero")</script>
   </binding>
  </button>

  <text>
   <row>1</row>
   <col>0</col>
   <halign>left</halign>
   <label>DATCOM/tuning/dCm_supersonic</label>
  </text>
  <input>
   <row>1</row>
   <col>1</col>
   <halign>left</halign>
   <pref-width>128</pref-width>
   <property>fdm/jsbsim/aero/DATCOM/tuning/dCm_supersonic</property>
   <live>true</live>
   <binding><command>dialog-apply</command></binding>
  </input>
  <button>
   <row>1</row>
   <col>2</col>
   <halign>left</halign>
   <legend>Default:</legend>
   <binding>
    <command>property-assign</command>
    <property>fdm/jsbsim/aero/DATCOM/tuning/dCm_supersonic</property>
    <property>fdm/jsbsim/aero/DATCOM/tuning/dCm_supersonic-default_backup</property>
   </binding>
  </button>
  <text>
   <row>1</row>
   <col>3</col>
   <halign>left</halign>
   <pref-width>128</pref-width>
   <property>fdm/jsbsim/aero/DATCOM/tuning/dCm_supersonic-default_backup</property>
   <live>true</live>
  </text>

  <text>
   <row>2</row>
   <col>0</col>
   <halign>left</halign>
   <label>DATCOM/tuning/kCnb</label>
  </text>
  <group><layout>hbox</layout>
   <row>2</row>
   <col>1</col>
   <slider>
    <pref-width>112</pref-width>
    <min>0.0</min>
    <max>1.0</max>
    <step>0.05</step>
    <property>fdm/jsbsim/aero/DATCOM/tuning/kCnb</property>
    <live>true</live>
    <binding><command>dialog-apply</command></binding>
   </slider>
   <text>
    <halign>left</halign>
    <pref-width>64</pref-width>
    <property>fdm/jsbsim/aero/DATCOM/tuning/kCnb</property>
    <live>true</live>
   </text>
  </group>
  <button>
   <row>2</row>
   <col>2</col>
   <halign>left</halign>
   <legend>Default:</legend>
   <binding>
    <command>property-assign</command>
    <property>fdm/jsbsim/aero/DATCOM/tuning/kCnb</property>
    <property>fdm/jsbsim/aero/DATCOM/tuning/kCnb-default_backup</property>
   </binding>
  </button>
  <text>
   <row>2</row>
   <col>3</col>
   <halign>left</halign>
   <pref-width>128</pref-width>
   <property>fdm/jsbsim/aero/DATCOM/tuning/kCnb-default_backup</property>
   <live>true</live>
  </text>

  <text>
   <row>3</row>
   <col>0</col>
   <halign>left</halign>
   <label>DATCOM/tuning/kClb</label>
  </text>
  <group><layout>hbox</layout>
   <row>3</row>
   <col>1</col>
   <slider>
    <pref-width>112</pref-width>
    <min>0.0</min>
    <max>1.0</max>
    <step>0.05</step>
    <property>fdm/jsbsim/aero/DATCOM/tuning/kClb</property>
    <live>true</live>
    <binding><command>dialog-apply</command></binding>
   </slider>
   <text>
    <halign>left</halign>
    <pref-width>64</pref-width>
    <property>fdm/jsbsim/aero/DATCOM/tuning/kClb</property>
    <live>true</live>
   </text>
  </group>
  <button>
   <row>3</row>
   <col>2</col>
   <halign>left</halign>
   <legend>Default:</legend>
   <binding>
    <command>property-assign</command>
    <property>fdm/jsbsim/aero/DATCOM/tuning/kClb</property>
    <property>fdm/jsbsim/aero/DATCOM/tuning/kClb-default_backup</property>
   </binding>
  </button>
  <text>
   <row>3</row>
   <col>3</col>
   <halign>left</halign>
   <pref-width>128</pref-width>
   <property>fdm/jsbsim/aero/DATCOM/tuning/kClb-default_backup</property>
   <live>true</live>
  </text>


  <text>
   <row>4</row>
   <col>0</col>
   <halign>left</halign>
   <label>SAU: fdm/jsbsim/fcs/NPK/ABSU/SAU</label>
  </text>
  <button>
   <row>4</row>
   <col>3</col>
   <halign>right</halign>
   <legend>Browse</legend>
   <binding>
    <command>nasal</command>
    <script>gui.property_browser("fdm/jsbsim/fcs/NPK/ABSU/SAU")</script>
   </binding>
  </button>

  <text>
   <row>5</row>
   <col>0</col>
   <halign>left</halign>
   <label>SUU/pitch/tuning/pitch-hold-no-extra-damping</label>
  </text>
  <group><layout>hbox</layout>
   <row>5</row>
   <col>1</col>
   <empty><stretch>true</stretch></empty>
   <checkbox>
    <halign>left</halign>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/SUU/pitch/tuning/pitch-hold-no-extra-damping</property>
    <live>true</live>
    <binding><command>dialog-apply</command></binding>
   </checkbox>
   <text>
    <halign>left</halign>
    <pref-width>64</pref-width>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/SUU/pitch/tuning/pitch-hold-no-extra-damping</property>
    <live>true</live>
   </text>
  </group>
  <button>
   <row>5</row>
   <col>2</col>
   <halign>left</halign>
   <legend>Default:</legend>
   <binding>
    <command>property-assign</command>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/SUU/pitch/tuning/pitch-hold-no-extra-damping</property>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/SUU/pitch/tuning/pitch-hold-no-extra-damping-default_backup</property>
   </binding>
  </button>
  <text>
   <row>5</row>
   <col>3</col>
   <halign>left</halign>
   <pref-width>128</pref-width>
   <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/SUU/pitch/tuning/pitch-hold-no-extra-damping-default_backup</property>
   <live>true</live>
  </text>

  <text>
   <row>6</row>
   <col>0</col>
   <halign>left</halign>
   <label>pitch/tuning/K_theta</label>
  </text>
  <group><layout>hbox</layout>
   <row>6</row>
   <col>1</col>
   <slider>
    <pref-width>112</pref-width>
    <min>1.0</min>
    <max>10.0</max>
    <step>0.05</step>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/pitch/tuning/K_theta</property>
    <live>true</live>
    <binding><command>dialog-apply</command></binding>
   </slider>
   <text>
    <halign>left</halign>
    <pref-width>64</pref-width>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/pitch/tuning/K_theta</property>
    <live>true</live>
   </text>
  </group>
  <button>
   <row>6</row>
   <col>2</col>
   <halign>left</halign>
   <legend>Default:</legend>
   <binding>
    <command>property-assign</command>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/pitch/tuning/K_theta</property>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/pitch/tuning/K_theta-default_backup</property>
   </binding>
  </button>
  <text>
   <row>6</row>
   <col>3</col>
   <halign>left</halign>
   <pref-width>128</pref-width>
   <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/pitch/tuning/K_theta-default_backup</property>
   <live>true</live>
  </text>

  <text>
   <row>7</row>
   <col>0</col>
   <halign>left</halign>
   <label>pitch/tuning/rK_theta</label>
  </text>
  <group><layout>hbox</layout>
   <row>7</row>
   <col>1</col>
   <slider>
    <pref-width>112</pref-width>
    <min>0.1</min>
    <max>1.0</max>
    <step>0.05</step>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/pitch/tuning/rK_theta</property>
    <live>true</live>
    <binding><command>dialog-apply</command></binding>
   </slider>
   <text>
    <halign>left</halign>
    <pref-width>64</pref-width>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/pitch/tuning/rK_theta</property>
    <live>true</live>
   </text>
  </group>
  <button>
   <row>7</row>
   <col>2</col>
   <halign>left</halign>
   <legend>Default:</legend>
   <binding>
    <command>nasal</command>
    <script>setprop("fdm/jsbsim/fcs/NPK/ABSU/SAU/pitch/tuning/rK_theta", 1.0 / getprop("fdm/jsbsim/fcs/NPK/ABSU/SAU/pitch/tuning/K_theta"))</script>
   </binding>
  </button>
  <text>
   <row>7</row>
   <col>3</col>
   <halign>left</halign>
   <pref-width>128</pref-width>
   <label>1 / K_theta</label>
   <live>true</live>
  </text>

  <text>
   <row>8</row>
   <col>0</col>
   <halign>left</halign>
   <label>VKV/H/tuning/K</label>
  </text>
  <group><layout>hbox</layout>
   <row>8</row>
   <col>1</col>
   <slider>
    <pref-width>112</pref-width>
    <min>0.0</min>
    <max>1.0</max>
    <step>0.01</step>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/K</property>
    <live>true</live>
    <binding><command>dialog-apply</command></binding>
   </slider>
   <text>
    <halign>left</halign>
    <pref-width>64</pref-width>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/K</property>
    <live>true</live>
   </text>
  </group>
  <button>
   <row>8</row>
   <col>2</col>
   <halign>left</halign>
   <legend>Default:</legend>
   <binding>
    <command>property-assign</command>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/K</property>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/K-default_backup</property>
   </binding>
  </button>
  <text>
   <row>8</row>
   <col>3</col>
   <halign>left</halign>
   <pref-width>128</pref-width>
   <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/K-default_backup</property>
   <live>true</live>
  </text>

  <text>
   <row>9</row>
   <col>0</col>
   <halign>left</halign>
   <label>VKV/H/tuning/K_gnd</label>
  </text>
  <group><layout>hbox</layout>
   <row>9</row>
   <col>1</col>
   <slider>
    <pref-width>112</pref-width>
    <min>0.0</min>
    <max>1.0</max>
    <step>0.01</step>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/K_gnd</property>
    <live>true</live>
    <binding><command>dialog-apply</command></binding>
   </slider>
   <text>
    <halign>left</halign>
    <pref-width>64</pref-width>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/K_gnd</property>
    <live>true</live>
   </text>
  </group>
  <button>
   <row>9</row>
   <col>2</col>
   <halign>left</halign>
   <legend>Default:</legend>
   <binding>
    <command>property-assign</command>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/K_gnd</property>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/K_gnd-default_backup</property>
   </binding>
  </button>
  <text>
   <row>9</row>
   <col>3</col>
   <halign>left</halign>
   <pref-width>128</pref-width>
   <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/K_gnd-default_backup</property>
   <live>true</live>
  </text>

  <text>
   <row>10</row>
   <col>0</col>
   <halign>left</halign>
   <label>VKV/H/tuning/Kd</label>
  </text>
  <group><layout>hbox</layout>
   <row>10</row>
   <col>1</col>
   <slider>
    <pref-width>112</pref-width>
    <min>0.0</min>
    <max>1.0</max>
    <step>0.01</step>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/Kd</property>
    <live>true</live>
    <binding><command>dialog-apply</command></binding>
   </slider>
   <text>
    <halign>left</halign>
    <pref-width>64</pref-width>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/Kd</property>
    <live>true</live>
   </text>
  </group>
  <button>
   <row>10</row>
   <col>2</col>
   <halign>left</halign>
   <legend>Default:</legend>
   <binding>
    <command>property-assign</command>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/Kd</property>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/Kd-default_backup</property>
   </binding>
  </button>
  <text>
   <row>10</row>
   <col>3</col>
   <halign>left</halign>
   <pref-width>128</pref-width>
   <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/Kd-default_backup</property>
   <live>true</live>
  </text>

  <text>
   <row>11</row>
   <col>0</col>
   <halign>left</halign>
   <label>VKV/H/tuning/Ki</label>
  </text>
  <group><layout>hbox</layout>
   <row>11</row>
   <col>1</col>
   <slider>
    <pref-width>112</pref-width>
    <min>0.0</min>
    <max>0.01</max>
    <step>0.0001</step>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/Ki</property>
    <live>true</live>
    <binding><command>dialog-apply</command></binding>
   </slider>
   <text>
    <halign>left</halign>
    <pref-width>64</pref-width>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/Ki</property>
    <live>true</live>
   </text>
  </group>
  <button>
   <row>11</row>
   <col>2</col>
   <halign>left</halign>
   <legend>Default:</legend>
   <binding>
    <command>property-assign</command>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/Ki</property>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/Ki-default_backup</property>
   </binding>
  </button>
  <text>
   <row>11</row>
   <col>3</col>
   <halign>left</halign>
   <pref-width>128</pref-width>
   <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H/tuning/Ki-default_backup</property>
   <live>true</live>
  </text>

  <text>
   <row>12</row>
   <col>0</col>
   <halign>left</halign>
   <label>VKV/H_FL/tuning/K</label>
  </text>
  <group><layout>hbox</layout>
   <row>12</row>
   <col>1</col>
   <slider>
    <pref-width>112</pref-width>
    <min>0.0</min>
    <max>1.0</max>
    <step>0.01</step>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H_FL/tuning/K</property>
    <live>true</live>
    <binding><command>dialog-apply</command></binding>
   </slider>
   <text>
    <halign>left</halign>
    <pref-width>64</pref-width>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H_FL/tuning/K</property>
    <live>true</live>
   </text>
  </group>
  <button>
   <row>12</row>
   <col>2</col>
   <halign>left</halign>
   <legend>Default:</legend>
   <binding>
    <command>property-assign</command>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H_FL/tuning/K</property>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H_FL/tuning/K-default_backup</property>
   </binding>
  </button>
  <text>
   <row>12</row>
   <col>3</col>
   <halign>left</halign>
   <pref-width>128</pref-width>
   <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H_FL/tuning/K-default_backup</property>
   <live>true</live>
  </text>

  <text>
   <row>13</row>
   <col>0</col>
   <halign>left</halign>
   <label>VKV/H_FL/tuning/Kd</label>
  </text>
  <group><layout>hbox</layout>
   <row>13</row>
   <col>1</col>
   <slider>
    <pref-width>112</pref-width>
    <min>0.0</min>
    <max>1.0</max>
    <step>0.01</step>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H_FL/tuning/Kd</property>
    <live>true</live>
    <binding><command>dialog-apply</command></binding>
   </slider>
   <text>
    <halign>left</halign>
    <pref-width>64</pref-width>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H_FL/tuning/Kd</property>
    <live>true</live>
   </text>
  </group>
  <button>
   <row>13</row>
   <col>2</col>
   <halign>left</halign>
   <legend>Default:</legend>
   <binding>
    <command>property-assign</command>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H_FL/tuning/Kd</property>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H_FL/tuning/Kd-default_backup</property>
   </binding>
  </button>
  <text>
   <row>13</row>
   <col>3</col>
   <halign>left</halign>
   <pref-width>128</pref-width>
   <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H_FL/tuning/Kd-default_backup</property>
   <live>true</live>
  </text>

  <text>
   <row>14</row>
   <col>0</col>
   <halign>left</halign>
   <label>VKV/H_FL/tuning/Ki</label>
  </text>
  <group><layout>hbox</layout>
   <row>14</row>
   <col>1</col>
   <slider>
    <pref-width>112</pref-width>
    <min>0.0</min>
    <max>0.01</max>
    <step>0.0001</step>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H_FL/tuning/Ki</property>
    <live>true</live>
    <binding><command>dialog-apply</command></binding>
   </slider>
   <text>
    <halign>left</halign>
    <pref-width>64</pref-width>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H_FL/tuning/Ki</property>
    <live>true</live>
   </text>
  </group>
  <button>
   <row>14</row>
   <col>2</col>
   <halign>left</halign>
   <legend>Default:</legend>
   <binding>
    <command>property-assign</command>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H_FL/tuning/Ki</property>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H_FL/tuning/Ki-default_backup</property>
   </binding>
  </button>
  <text>
   <row>14</row>
   <col>3</col>
   <halign>left</halign>
   <pref-width>128</pref-width>
   <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/VKV/H_FL/tuning/Ki-default_backup</property>
   <live>true</live>
  </text>

  <text>
   <row>15</row>
   <col>0</col>
   <halign>left</halign>
   <label>SAU/pitch/tuning/rT_MS</label>
  </text>
  <group><layout>hbox</layout>
   <row>15</row>
   <col>1</col>
   <slider>
    <pref-width>112</pref-width>
    <min>0.0</min>
    <max>0.1</max>
    <step>0.002</step>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/pitch/tuning/rT_MS</property>
    <live>true</live>
    <binding><command>dialog-apply</command></binding>
   </slider>
   <text>
    <halign>left</halign>
    <pref-width>64</pref-width>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/pitch/tuning/rT_MS</property>
    <live>true</live>
   </text>
  </group>
  <button>
   <row>15</row>
   <col>2</col>
   <halign>left</halign>
   <legend>Default:</legend>
   <binding>
    <command>property-assign</command>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/pitch/tuning/rT_MS</property>
    <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/pitch/tuning/rT_MS-default_backup</property>
   </binding>
  </button>
  <text>
   <row>15</row>
   <col>3</col>
   <halign>left</halign>
   <pref-width>128</pref-width>
   <property>fdm/jsbsim/fcs/NPK/ABSU/SAU/pitch/tuning/rT_MS-default_backup</property>
   <live>true</live>
  </text>


 </group>

</PropertyList>
